Package org.eclipse.m2m.atl.dsls

# Class Activator

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.m2m.atl.dsls.Activator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class Activator extends org.eclipse.core.runtime.Plugin
The plugin Activator.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PLUGIN_ID`
The plug-in ID.

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`Activator()`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`static Activator`
`getDefault()`
Returns the shared instance.
`void`
`start(org.osgi.framework.BundleContext context)`
`void`
`stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

public static final String PLUGIN_ID
The plug-in ID.

See Also:
  - Constant Field Values

## Constructor Details

### Activator

public Activator()
The constructor.

## Method Details

### start

public void start(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`
See Also:
  - `Plugin.start(org.osgi.framework.BundleContext)`

### stop

public void stop(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`
See Also:
  - `Plugin.stop(org.osgi.framework.BundleContext)`

### getDefault

public static Activator getDefault()
Returns the shared instance.

Returns:
  the shared instance